KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API4o Image APIVeo3.1 APIRunway API
Flux Kontext API
Suno API4o Image APIVeo3.1 APIRunway API
Flux Kontext API
  1. Runway API
  • Runway API Quickstart
  • AI Video Generation Callbacks
  • AI Video Extension Callbacks
  • Aleph
    • Aleph Video Generation Callbacks
    • Generate Aleph Video
      POST
    • Get Aleph Video Details
      GET
  • Generate AI Video
    POST
  • Get AI Video Details
    GET
  • Extend AI Video
    POST
  1. Runway API

Extend AI Video

POST
/api/v1/runway/extend
Extend existing AI-generated videos to create longer sequences.

Usage Guide#

Add additional segments to your AI-generated videos
Maintain visual consistency while extending narratives
Create longer sequences for storytelling or demonstrations

Parameter Details#

taskId identifies the original video to extend
prompt guides how the video should continue
quality video resolution, optional values are 720p or 1080p.
waterMark video watermark text content, empty string means no watermark

Developer Notes#

Extended videos are stored for 14 days before automatic deletion
Extension maintains the same aspect ratio as the original video
Extension works best when continuing the same subject/theme as the original video

Callbacks

onVideoExtended

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/runway/extend' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "taskId": "ee603959-debb-48d1-98c4-a6d1c717eba6",
    "prompt": "The cat continues dancing with more energy and excitement, spinning around with colorful light effects intensifying",
    "quality": "720p",
    "waterMark": "kie.ai",
    "callBackUrl": "https://api.example.com/callback"
}'
Response Response Example
200 - Successful Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "ee603959-debb-48d1-98c4-a6d1c717eba6"
    }
}
Previous
Get AI Video Details
Built with